package compactTriangulations.test;

public class MemoryBenchmark {
    private static final double MEGABYTE = 1024L * 1024L;

    public static double bytesToMegabytes(long bytes) {
    	double precision=2;
    	
        return ((long)(((bytes / MEGABYTE))*100))/100.;
    }

    public static void printMemory(long memory, String msg) {
    	if(msg==null)
    		System.out.println("    memory : "+ bytesToMegabytes(memory)+" MB ("+memory+" bytes)");
    	else
    		System.out.println(msg+"    memory : "+ bytesToMegabytes(memory)+" MB ("+memory+" bytes)");
    }

    public static long getUsedMemory() {
        // Get the Java runtime
        Runtime runtime = Runtime.getRuntime();
        // Run the garbage collector
        runtime.gc();
        // Calculate the used memory
        return runtime.totalMemory() - runtime.freeMemory();
    }

    public static long getFreeMemory() {
        // Get the Java runtime
        Runtime runtime = Runtime.getRuntime();
        // Run the garbage collector
        runtime.gc();
        // Calculate the used memory
        return runtime.freeMemory();
    }

}
